net.corda.node.services.transactions

## Class BFTNonValidatingNotaryService.Server

- net.corda.node.services.transactions.BFTSMaRt.Server
- - net.corda.node.services.transactions.BFTNonValidatingNotaryService.Server

- Enclosing class:
    BFTNonValidatingNotaryService

      public static class BFTNonValidatingNotaryService.Server
      extends BFTSMaRt.Server

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.node.services.transactions.BFTSMaRt.Server

      `Server.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.node.services.transactions.BFTSMaRt.Server

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Server(int id, org.jetbrains.exposed.sql.Database db, java.lang.String tableName, ServiceHubInternal services, TimestampChecker timestampChecker)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `executeCommand(byte[] command)` Implement logic to execute the command and commit the transaction to the log. Helper methods are provided for transaction processing: commitInputStates, `BFTSMaRt.Server.validateTimestamp`, and sign.
    `BFTSMaRt.ReplicaResponse` | `verifyAndCommitTx(FilteredTransaction ftx, Party callerIdentity)`

    - ### Methods inherited from class net.corda.node.services.transactions.BFTSMaRt.Server

      `appExecuteBatch, appExecuteUnordered, commitInputStates, executeCommand, getCommitLog, getDb, getId, getServices, getSnapshot, getTimestampChecker, installSnapshot, sign, validateTimestamp`

- - ### Constructor Detail

    - #### Server

          public Server(int id,
                        org.jetbrains.exposed.sql.Database db,
                        java.lang.String tableName,
                        ServiceHubInternal services,
                        TimestampChecker timestampChecker)

  - ### Method Detail

    - #### executeCommand

          public byte[] executeCommand(byte[] command)

      Implement logic to execute the command and commit the transaction to the log. Helper methods are provided for transaction processing: commitInputStates, `BFTSMaRt.Server.validateTimestamp`, and sign.

      See Also:
        `BFTSMaRt.Server.validateTimestamp`

    - #### verifyAndCommitTx

          public BFTSMaRt.ReplicaResponse verifyAndCommitTx(FilteredTransaction ftx,
                                                            Party callerIdentity)